Bug 1263504 - [GSS] (6.1.z) "Repository View" doesn't remember the last visited place
[GSS] (6.1.z) "Repository View" doesn't remember the last visited place
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: CR1
: ---
Assigned To: manstis
Jiri Locker
:
Depends On: 1263118
Blocks: 1259378 1259382
  Show dependency treegraph
 
Reported: 2015-09-15 22:32 EDT by Toshiya Kobayashi
Modified: 2015-10-22 09:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1263118
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-2265 Major Resolved "Repository View" doesn't remember the last visited place 2016-06-15 07:13 EDT

  None (edit)
Description Toshiya Kobayashi 2015-09-15 22:32:18 EDT
+++ This bug was initially created as a clone of Bug #1263118 +++

Description of problem:

Platform BZ for https://issues.jboss.org/browse/GUVNOR-2265

Use Case A:
====================================
Steps to Reproduce:

1. Go to [Authoring] -> [Project Authoring]
2. Change to "Repository View" in Project Explorer
3. Go to some directory. For example, "project1/src/main/java"
4. Go to [Home] -> [Home Page]
5. Go back to [Authoring] -> [Project Authoring]

Actual results:

"Project Explorer" displays the root directory.

Expected results:

"Project Explorer" displays "project1/src/main/java" where you visited before.
=====================================

Use Case B:
=====================================
Steps to Reproduce:

1. Go to [Authoring] -> [Project Authoring]
2. Change to "Repository View" in Project Explorer
3. Go to some directory. For example, "project1/src/main/java"
4. Logout/Login
5. Go back to [Authoring] -> [Project Authoring]

Actual results:

"Project Explorer" displays "Project View".

Expected results:

"Project Explorer" displays "Repository View" and "project1/src/main/java" where you visited before.
=====================================
Comment 5 JBoss JIRA Server 2015-09-29 13:14:19 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira GUVNOR-2265 to Resolved
Comment 6 Karel Suta 2015-10-13 07:19:30 EDT
Verified in 6.1.4.CR1

Note You need to log in before you can comment on or make changes to this bug.